## org.apache.poi.ss.formula
Class FormulaShifter

    java.lang.Object
      org.apache.poi.ss.formula.FormulaShifter

    public final class FormulaShifter

extends java.lang.Object

Author:
  Josh Micich

Method Summary
`boolean` `adjustFormula(Ptg[] ptgs, int currentExternSheetIx)`
`static FormulaShifter` `createForRowShift(int externSheetIndex, int firstMovedRowIndex, int lastMovedRowIndex, int numberOfRowsToMove)`
`static FormulaShifter` `createForSheetShift(int srcSheetIndex, int dstSheetIndex)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### createForRowShift

    public static FormulaShifter createForRowShift(int externSheetIndex,
                                                   int firstMovedRowIndex,
                                                   int lastMovedRowIndex,
                                                   int numberOfRowsToMove)

### createForSheetShift

    public static FormulaShifter createForSheetShift(int srcSheetIndex,
                                                     int dstSheetIndex)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### adjustFormula

    public boolean adjustFormula(Ptg[] ptgs,
                                 int currentExternSheetIx)

  Parameters:
    `ptgs` - - if necessary, will get modified by this method
    `currentExternSheetIx` - - the extern sheet index of the sheet that contains the formula being adjusted
  Returns:
    `true` if a change was made to the formula tokens

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.